Bug 202324 - Need a way to provide a custom SourceFileInfoDataProvider to FunctionsListDataProvider
Need a way to provide a custom SourceFileInfoDataProvider to FunctionsListDat...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: D-Light
7.1
PC Solaris
: P2 (vote)
: 7.0.1
Assigned To: Andrew Krasny
dlight-issues@cnd
701patch2-verified, CR_7048261, elif
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-19 17:01 UTC by Andrew Krasny
Modified: 2011-09-29 11:45 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
proposed patch (12.98 KB, patch)
2011-09-21 07:40 UTC, Andrew Krasny
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Krasny 2011-09-19 17:01:29 UTC
Need a way to provide a custom SourceFileInfoDataProvider to FunctionsListDataProvider. 
This is needed to make FunctionsListViewVisualizer to work with functions from multiple contexts...
Comment 1 Andrew Krasny 2011-09-21 07:38:46 UTC
proposed patch is attached.
Igor, please review...
Comment 2 Andrew Krasny 2011-09-21 07:40:20 UTC
Created attachment 110943 [details]
proposed patch
Comment 3 igor_nikiforov 2011-09-21 08:07:21 UTC
The patch looks save and can go to 7.0.1 patch 2.
Comment 4 Andrew Krasny 2011-09-21 08:13:52 UTC
Pushed to releases_elif changeset: e162ffc04af1
Comment 5 Vladimir Voskresensky 2011-09-22 17:22:26 UTC
SPI is in place and used by d-light
Comment 6 Quality Engineering 2011-09-26 13:30:40 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/e162ffc04af1
User: Andrew Krasny <akrasny@netbeans.org>
Log: FIXED Bug #202324 Need a way to provide a custom SourceFileInfoDataProvider to FunctionsListDataProvider
Comment 7 Alexander Pepin 2011-09-29 11:45:04 UTC
It does not need verification from QA


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo